Blocks.Grass = {
	Faces = {
		Left   = 4,
		Right  = 4,
		Front  = 4,
		Back   = 4,
		Top    = 1,
		Bottom = 3
	},

	Colliding   = true,

	ID = 1,

	DestroyImage = 4
}

Blocks.Dirt = {
	Faces = {
		Left   = 3,
		Right  = 3,
		Front  = 3,
		Back   = 3,
		Top    = 3,
		Bottom = 3
	},

	Colliding   = true,

	ID = 2,

	DestroyImage = 3
}

Blocks.Sand = {
	Faces = {
		Left   = 19,
		Right  = 19,
		Front  = 19,
		Back   = 19,
		Top    = 19,
		Bottom = 19
	},

	Colliding   = true,

	ID = 3,

	DestroyImage = 19
}

Blocks.Wood = {
	Faces = {
		Left   = 21,
		Right  = 21,
		Front  = 21,
		Back   = 21,
		Top    = 22,
		Bottom = 22
	},

	Colliding   = true,

	ID = 4,

	DestroyImage = 21
}

Blocks.Glass = {
	Faces = {
		Left   = 68,
		Right  = 68,
		Front  = 68,
		Back   = 68,
		Top    = 68,
		Bottom = 68
	},

	Transparent = true,
	Colliding   = true,

	Transparency = 0.5,
	TransparentIndex = 20,

	ID = 5,

	DestroyImage = 68
}

Blocks.Stone = {
	Faces = {
		Left   = 20,
		Right  = 20,
		Front  = 20,
		Back   = 20,
		Top    = 20,
		Bottom = 20
	},

	Colliding   = true,

	ID = 6,

	DestroyImage = 20
}

Blocks.Brick = {
	Faces = {
		Left   = 8,
		Right  = 8,
		Front  = 8,
		Back   = 8,
		Top    = 8,
		Bottom = 8
	},

	Colliding   = true,

	ID = 7,

	DestroyImage = 8
}

Blocks.Leafs = {
	Faces = {
		Left   = 53,
		Right  = 53,
		Front  = 53,
		Back   = 53,
		Top    = 53,
		Bottom = 53
	},

	Masked      = true,
	Colliding   = true,

	ID = 8,

	DestroyImage = 53
}

Blocks.Water = {
	Faces = {
		Left   = 224,
		Right  = 224,
		Front  = 224,
		Back   = 224,
		Top    = 224,
		Bottom = 224
	},

	Transparent = true,
	Flowing     = true,

	Transparency = 0.5,
	TransparentIndex = 30,

	ID = 9,

	DestroyImage = 224
}


Blocks.Snow = {
	Faces = {
		Left   = 69,
		Right  = 69,
		Front  = 69,
		Back   = 69,
		Top    = 67,
		Bottom = 3
	},

	Colliding   = true,

	ID = 10,

	DestroyImage = 69
}

Blocks.Pillar = {
	Faces = {
		Left   = 5,
		Right  = 5,
		Front  = 5,
		Back   = 5,
		Top    = 7,
		Bottom = 7
	},

	Colliding   = true,

	ID = 11,

	DestroyImage = 5
}

Blocks.Wall = {
	Faces = {
		Left   = 17,
		Right  = 17,
		Front  = 17,
		Back   = 17,
		Top    = 17,
		Bottom = 17
	},

	Colliding   = true,

	ID = 12,

	DestroyImage = 17
}

Blocks.MossyWall = {
	Faces = {
		Left   = 37,
		Right  = 37,
		Front  = 37,
		Back   = 37,
		Top    = 37,
		Bottom = 37
	},

	Colliding   = true,

	ID = 13,

	DestroyImage = 37
}

Blocks.Grid = {
	Faces = {
		Left   = 66,
		Right  = 66,
		Front  = 66,
		Back   = 66,
		Top    = 66,
		Bottom = 66
	},

	Masked      = true,
	Colliding   = true,

	ID = 14,

	DestroyImage = 66
}

Blocks.ArrowRight = {
	Faces = {
		Left   = 121,
		Right  = 121,
		Front  = 119,
		Back   = 117,
		Top    = 119,
		Bottom = 117
	},

	Transparent = true,

--~ 	ForceBorders = true,

	TransparentIndex = 28,

	Gravity = 4,

	ID = 15,

	DestroyImage = 117
}

Blocks.ArrowLeft = {
	Faces = {
		Left   = 121,
		Right  = 121,
		Front  = 117,
		Back   = 119,
		Top    = 117,
		Bottom = 119
	},

	Transparent = true,

--~ 	ForceBorders = true,

	TransparentIndex = 28,

	Gravity = 1,

	ID = 16,

	DestroyImage = 119
}

Blocks.ArrowUp = {
	Faces = {
		Left   = 118,
		Right  = 118,
		Front  = 118,
		Back   = 118,
		Top    = 121,
		Bottom = 121
	},

	Transparent = true,

--~ 	ForceBorders = true,

	TransparentIndex = 28,

	Gravity = 3,

	ID = 17,

	DestroyImage = 118
}

Blocks.ArrowForward = {
	Faces = {
		Left   = 117,
		Right  = 119,
		Front  = 121,
		Back   = 121,
		Top    = 120,
		Bottom = 120
	},

	Transparent = true,

--~ 	ForceBorders = true,

	TransparentIndex = 28,

	Gravity = 5,

	ID = 18,

	DestroyImage = 117
}

Blocks.ArrowBackward = {
	Faces = {
		Left   = 119,
		Right  = 117,
		Front  = 121,
		Back   = 121,
		Top    = 118,
		Bottom = 118
	},

	Transparent = true,

--~ 	ForceBorders = true,

	TransparentIndex = 28,

	Gravity = 2,

	ID = 19,

	DestroyImage = 119
}

Blocks.EdibleMushroom = {
	IsObject = true,
	ModelPath = "Models\\EdibleMushroom.3ds",

	Masked = true,

	ID = 20,

	DestroyImage = 30
}

Blocks.PoisonousMushroom = {
	IsObject = true,
	ModelPath = "Models\\PoisonousMushroom.3ds",

	Masked = true,

	ID = 21,

	DestroyImage = 29
}

Blocks.RedFlower = {
	IsObject = true,
	ModelPath = "Models\\RedFlower.3ds",

	Masked = true,

	ID = 22,

	DestroyImage = 13
}

Blocks.PinkFlower = {
	IsObject = true,
	ModelPath = "Models\\PinkFlower.3ds",

	Masked = true,

	ID = 23,

	DestroyImage = 14
}

Blocks.Torch = {
	IsObject = true,
	ModelPath = "Models\\Torch.3ds",

	IsLight = true,
	LightRadius = 3.0,
	LightR = 1.0,
	LightG = 0.5,
	LightB = 0.25,

	AdjustToNormal = true,

	ID = 24,

	DestroyImage = 100
}


Blocks.RedLever = {
	IsObject = true,
	ModelPath = "Models\\RedSwitch.3ds",

	IsTrigger = true,
	TriggeredOnAction = true,
	ReplaceBlocks = { 25, 125, 125, 25, 28, 31, 31, 28 },

	AdjustToNormal = true,

	ID = 25,

	DestroyImage = 124
}

Blocks.RedLeverActivated = {
	IsObject = true,
	ModelPath = "Models\\RedSwitchActivated.3ds",

	IsTrigger = true,
	TriggeredOnAction = true,
	ReplaceBlocks = { 25, 125, 125, 25, 28, 31, 31, 28 },

	AdjustToNormal = true,

	ID = 125,

	DestroyImage = 124
}

Blocks.GreenLever = {
	IsObject = true,
	ModelPath = "Models\\GreenSwitch.3ds",

	IsTrigger = true,
	TriggeredOnAction = true,
	ReplaceBlocks = { 26, 126, 126, 26, 29, 32, 32, 29 },

	AdjustToNormal = true,

	ID = 26,

	DestroyImage = 125
}

Blocks.GreenLeverActivated = {
	IsObject = true,
	ModelPath = "Models\\GreenSwitchActivated.3ds",

	IsTrigger = true,
	TriggeredOnAction = true,
	ReplaceBlocks = { 26, 126, 126, 26, 29, 32, 32, 29 },

	AdjustToNormal = true,

	ID = 126,

	DestroyImage = 125
}

Blocks.BlueLever = {
	IsObject = true,
	ModelPath = "Models\\BlueSwitch.3ds",

	IsTrigger = true,
	TriggeredOnAction = true,
	ReplaceBlocks = { 27, 127, 127, 27, 30, 33, 33, 30 },

	AdjustToNormal = true,

	ID = 27,

	DestroyImage = 126
}

Blocks.BlueLeverActivated = {
	IsObject = true,
	ModelPath = "Models\\BlueSwitchActivated.3ds",

	IsTrigger = true,
	TriggeredOnAction = true,
	ReplaceBlocks = { 27, 127, 127, 27, 30, 33, 33, 30 },

	AdjustToNormal = true,

	ID = 127,

	DestroyImage = 126
}

Blocks.RedGate = {
	Faces = {
		Left   = 140,
		Right  = 140,
		Front  = 140,
		Back   = 140,
		Top    = 140,
		Bottom = 140
	},

	IsTrigger = true,
	ReplaceWith = 34,

	Colliding   = true,

	ID = 28,

	DestroyImage = 140
}

Blocks.GreenGate = {
	Faces = {
		Left   = 141,
		Right  = 141,
		Front  = 141,
		Back   = 141,
		Top    = 141,
		Bottom = 141
	},

	IsTrigger = true,
	ReplaceWith = 35,

	Colliding   = true,

	ID = 29,

	DestroyImage = 141
}

Blocks.BlueGate = {
	Faces = {
		Left   = 142,
		Right  = 142,
		Front  = 142,
		Back   = 142,
		Top    = 142,
		Bottom = 142
	},

	IsTrigger = true,
	ReplaceWith = 36,

	Colliding   = true,

	ID = 30,

	DestroyImage = 142
}

Blocks.RedOpenGate = {
	Faces = {
		Left   = 156,
		Right  = 156,
		Front  = 156,
		Back   = 156,
		Top    = 156,
		Bottom = 156
	},

	IsTrigger = true,
	ReplaceWith = 31,

	Masked = true,

	TransparentIndex = 2,

	ID = 31,

	DestroyImage = 156
}

Blocks.GreenOpenGate = {
	Faces = {
		Left   = 157,
		Right  = 157,
		Front  = 157,
		Back   = 157,
		Top    = 157,
		Bottom = 157
	},

	IsTrigger = true,
	ReplaceWith = 32,

	Masked = true,

	TransparentIndex = 2,

	ID = 32,

	DestroyImage = 157
}

Blocks.BlueOpenGate = {
	Faces = {
		Left   = 158,
		Right  = 158,
		Front  = 158,
		Back   = 158,
		Top    = 158,
		Bottom = 158
	},

	IsTrigger = true,
	ReplaceWith = 33,

	Masked = true,

	TransparentIndex = 2,

	ID = 33,

	DestroyImage = 158
}

Blocks.Rainbow1 = {
	Faces = {
		Left    = 161,
		Right   = 161,
		Front   = 161,
		Back    = 161,
		Top     = 161,
		Bottom  = 161
	},

	ID = 34,

	Colliding = true,

	DestroyImage  = 161
}


Blocks.Rainbow2 = {
	Faces = {
		Left    = 162,
		Right   = 162,
		Front   = 162,
		Back    = 162,
		Top     = 162,
		Bottom  = 162
	},

	ID = 35,

	Colliding = true,

	DestroyImage  = 162
}


Blocks.Rainbow3 = {
	Faces = {
		Left    = 163,
		Right   = 163,
		Front   = 163,
		Back    = 163,
		Top     = 163,
		Bottom  = 163
	},

	ID = 36,

	Colliding = true,

	DestroyImage  = 163
}


Blocks.Rainbow4 = {
	Faces = {
		Left    = 164,
		Right   = 164,
		Front   = 164,
		Back    = 164,
		Top     = 164,
		Bottom  = 164
	},

	ID = 37,

	Colliding = true,

	DestroyImage  = 164
}


Blocks.Rainbow5 = {
	Faces = {
		Left    = 165,
		Right   = 165,
		Front   = 165,
		Back    = 165,
		Top     = 165,
		Bottom  = 165
	},

	ID = 38,

	Colliding = true,

	DestroyImage  = 165
}


Blocks.Rainbow6 = {
	Faces = {
		Left    = 166,
		Right   = 166,
		Front   = 166,
		Back    = 166,
		Top     = 166,
		Bottom  = 166
	},

	ID = 39,

	Colliding = true,

	DestroyImage  = 166
}


Blocks.Rainbow7 = {
	Faces = {
		Left    = 167,
		Right   = 167,
		Front   = 167,
		Back    = 167,
		Top     = 167,
		Bottom  = 167
	},

	ID = 40,

	Colliding = true,

	DestroyImage  = 167
}


Blocks.Rainbow8 = {
	Faces = {
		Left    = 168,
		Right   = 168,
		Front   = 168,
		Back    = 168,
		Top     = 168,
		Bottom  = 168
	},

	ID = 41,

	Colliding = true,

	DestroyImage  = 168
}


Blocks.Rainbow9 = {
	Faces = {
		Left    = 169,
		Right   = 169,
		Front   = 169,
		Back    = 169,
		Top     = 169,
		Bottom  = 169
	},

	ID = 42,

	Colliding = true,

	DestroyImage  = 169
}


Blocks.Rainbow10 = {
	Faces = {
		Left    = 170,
		Right   = 170,
		Front   = 170,
		Back    = 170,
		Top     = 170,
		Bottom  = 170
	},

	ID = 43,

	Colliding = true,

	DestroyImage  = 170
}


Blocks.Rainbow11 = {
	Faces = {
		Left    = 171,
		Right   = 171,
		Front   = 171,
		Back    = 171,
		Top     = 171,
		Bottom  = 171
	},

	ID = 44,

	Colliding = true,

	DestroyImage  = 171
}


Blocks.Rainbow12 = {
	Faces = {
		Left    = 172,
		Right   = 172,
		Front   = 172,
		Back    = 172,
		Top     = 172,
		Bottom  = 172
	},

	ID = 45,

	Colliding = true,

	DestroyImage  = 172
}


Blocks.Rainbow13 = {
	Faces = {
		Left    = 173,
		Right   = 173,
		Front   = 173,
		Back    = 173,
		Top     = 173,
		Bottom  = 173
	},

	ID = 46,

	Colliding = true,

	DestroyImage  = 173
}


Blocks.Rainbow14 = {
	Faces = {
		Left    = 174,
		Right   = 174,
		Front   = 174,
		Back    = 174,
		Top     = 174,
		Bottom  = 174
	},

	ID = 47,

	Colliding = true,

	DestroyImage  = 174
}


Blocks.Rainbow15 = {
	Faces = {
		Left    = 175,
		Right   = 175,
		Front   = 175,
		Back    = 175,
		Top     = 175,
		Bottom  = 175
	},

	ID = 48,

	Colliding = true,

	DestroyImage  = 175
}


Blocks.Rainbow16 = {
	Faces = {
		Left    = 176,
		Right   = 176,
		Front   = 176,
		Back    = 176,
		Top     = 176,
		Bottom  = 176
	},

	ID = 49,

	Colliding = true,

	DestroyImage  = 176
}

Blocks.Books = {
	Faces = {
		Left    = 36,
		Right   = 36,
		Front   = 36,
		Back    = 36,
		Top     = 7,
		Bottom  = 7
	},

	ID = 50,

	Colliding = true,

	DestroyImage  = 36
}

Blocks.BrightPlanks = {
	Faces = {
		Left    = 88,
		Right   = 88,
		Front   = 88,
		Back    = 88,
		Top     = 22,
		Bottom  = 22
	},

	ID = 51,

	Colliding = true,

	DestroyImage  = 88
}

Blocks.DarkPlanks = {
	Faces = {
		Left    = 87,
		Right   = 87,
		Front   = 87,
		Back    = 87,
		Top     = 22,
		Bottom  = 22
	},

	ID = 52,

	Colliding = true,

	DestroyImage  = 87
}

Blocks.Gold = {
	Faces = {
		Left    = 33,
		Right   = 33,
		Front   = 33,
		Back    = 33,
		Top     = 33,
		Bottom  = 33
	},

	ID = 53,

	Colliding = true,

	DestroyImage  = 33
}

Blocks.Copper = {
	Faces = {
		Left    = 34,
		Right   = 34,
		Front   = 34,
		Back    = 34,
		Top     = 34,
		Bottom  = 34
	},

	ID = 54,

	Colliding = true,

	DestroyImage  = 34
}

Blocks.Coal = {
	Faces = {
		Left    = 35,
		Right   = 35,
		Front   = 35,
		Back    = 35,
		Top     = 35,
		Bottom  = 35
	},

	ID = 55,

	Colliding = true,

	DestroyImage  = 35
}

Blocks.Crystal = {
	Faces = {
		Left    = 51,
		Right   = 51,
		Front   = 51,
		Back    = 51,
		Top     = 51,
		Bottom  = 51
	},

	ID = 56,

	Colliding = true,

	DestroyImage  = 51
}

Blocks.BloodStone = {
	Faces = {
		Left    = 52,
		Right   = 52,
		Front   = 52,
		Back    = 52,
		Top     = 52,
		Bottom  = 52
	},

	ID = 57,

	Colliding = true,

	DestroyImage  = 52
}

Blocks.Step = {
	Faces = {
		Left    = 6,
		Right   = 6,
		Front   = 6,
		Back    = 6,
		Top     = 7,
		Bottom  = 7
	},

	ID = 58,

	Colliding = true,

	DestroyImage  = 6
}

Blocks.SpiderWeb = {
	Faces = {
		Left    = 12,
		Right   = 12,
		Front   = 12,
		Back    = 12,
		Top     = 12,
		Bottom  = 12
	},

	ID = 59,

	Masked = true,

	DestroyImage  = 12
}

Blocks.Cheese = {
	Faces = {
		Left    = 49,
		Right   = 49,
		Front   = 49,
		Back    = 49,
		Top     = 49,
		Bottom  = 49
	},

	ID = 60,

	Colliding = true,

	DestroyImage  = 49
}

Blocks.SilverBars = {
	Faces = {
		Left    = 39,
		Right   = 39,
		Front   = 39,
		Back    = 39,
		Top     = 7,
		Bottom  = 7
	},

	ID = 61,

	Colliding = true,

	DestroyImage  = 39
}

Blocks.GoldBars = {
	Faces = {
		Left    = 40,
		Right   = 40,
		Front   = 40,
		Back    = 40,
		Top     = 7,
		Bottom  = 7
	},

	ID = 62,

	Colliding = true,

	DestroyImage  = 40
}

Blocks.CrystalBars = {
	Faces = {
		Left    = 41,
		Right   = 41,
		Front   = 41,
		Back    = 41,
		Top     = 7,
		Bottom  = 7
	},

	ID = 63,

	Colliding = true,

	DestroyImage  = 41
}

Blocks.Fireplace = {
	Faces = {
		Left    = 45,
		Right   = 45,
		Front   = 45,
		Back    = 45,
		Top     = 46,
		Bottom  = 46
	},

	ID = 64,

	Colliding = true,

	DestroyImage  = 45
}

Blocks.LitFireplace = {
	Faces = {
		Left    = 62,
		Right   = 62,
		Front   = 62,
		Back    = 62,
		Top     = 46,
		Bottom  = 46
	},

	ID = 65,

	Colliding = true,

	DestroyImage  = 62
}

Blocks.HammerAndSaw = {
	Faces = {
		Left    = 60,
		Right   = 60,
		Front   = 60,
		Back    = 60,
		Top     = 46,
		Bottom  = 46
	},

	ID = 66,

	Colliding = true,

	DestroyImage  = 60
}

Blocks.UnidentifiableTools = {
	Faces = {
		Left    = 61,
		Right   = 61,
		Front   = 61,
		Back    = 61,
		Top     = 46,
		Bottom  = 46
	},

	ID = 67,

	Colliding = true,

	DestroyImage  = 61
}

Blocks.Bamboo = {
	Faces = {
		Left    = 74,
		Right   = 74,
		Front   = 74,
		Back    = 74,
		Top     = 70,
		Bottom  = 70
	},

	ID = 68,

	Masked = true,

	DestroyImage  = 74
}

Blocks.Bars = {
	Faces = {
		Left    = 57,
		Right   = 57,
		Front   = 57,
		Back    = 57,
		Top     = 7,
		Bottom  = 7
	},

	ID = 69,

	Colliding = true,

	DestroyImage  = 57
}
